#include "RenderChimp.h"
#include "SceneGraph.h"
#include "Group.h"
#include "PwnParser.h"

/*---------------------------------------------------------------------------*/

Group::Group(
		char		*nname,
		char		*filename,
		bool		reload_resources,
		u32			purge_level
	) : Transformable(nname, NODE_GROUP)
{
	PwnParse(this, filename, false, reload_resources, purge_level);
}

/*---------------------------------------------------------------------------*/

Group::~Group()
{
	
}

/*---------------------------------------------------------------------------*/

Node *Group::duplicateSelf()
{
	Group *c = sceneGraph.createGroup(name);

	return c;
}

/*---------------------------------------------------------------------------*/

