#ifdef GL_FRAGMENT_PRECISION_HIGH
   precision highp float;
#else
   precision mediump float;
#endif

uniform samplerCube EnvSampler;

varying	vec3 worldPosition;
varying	vec3 worldNormal;
varying	vec3 viewVector;


void main() {
	vec3 ref = reflect(-viewVector, normalize(worldNormal));

	gl_FragColor = textureCube(EnvSampler, ref);
}

