varying mediump vec2 tt;
uniform sampler2D smp2d;

uniform mediump vec4 color;
uniform mediump vec2 pixel_size;

uniform lowp int bold;
uniform lowp int italic;

void main()
{
	mediump vec4 mask = texture2D(smp2d, tt);
	mediump float m = mask.a;

//	if (bold != 0) {
//		mediump vec4 bmask = texture2D(smp2d, vec2(tt.x + pixel_size.x, tt.y));
//		m = max(m, bmask.a);
//	}

	mediump vec4 col = vec4(color.r, color.g, color.b, m);

	gl_FragColor = col;
}

